# DCM/DFA Reporting And Trafficking API . postalCodes

## Instance Methods

Gets one postal code by ID.

Retrieves a list of postal codes.

### Method Details

`get(profileId, code)`

    Gets one postal code by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      code: string, Postal code ID. (required)

    Returns:
      An object of the form:

        { # Contains information about a postal code that can be targeted by ads.
        "countryDartId": "A String", # DART ID of the country to which this postal code belongs.
        "kind": "dfareporting#postalCode", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#postalCode".
        "code": "A String", # Postal code. This is equivalent to the id field.
        "id": "A String", # ID of this postal code.
        "countryCode": "A String", # Country code of the country to which this postal code belongs.
      }

`list(profileId)`

    Retrieves a list of postal codes.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Postal Code List Response
        "kind": "dfareporting#postalCodesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#postalCodesListResponse".
        "postalCodes": [ # Postal code collection.
          { # Contains information about a postal code that can be targeted by ads.
            "countryDartId": "A String", # DART ID of the country to which this postal code belongs.
            "kind": "dfareporting#postalCode", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#postalCode".
            "code": "A String", # Postal code. This is equivalent to the id field.
            "id": "A String", # ID of this postal code.
            "countryCode": "A String", # Country code of the country to which this postal code belongs.
          },
        ],
      }